
      const require = await (async () => {
        const { createRequire } = await import("node:module");
        return createRequire(import.meta.url);
      })();
    
import {
  require_out
} from "./chunk-AVWFCGVE.js";
import {
  getPrerenderManifest
} from "./chunk-XI354FB5.js";
import {
  BLOB_DIR,
  STATIC_DIR,
  TEMP_DIR
} from "./chunk-IILJNFIP.js";
import {
  __toESM
} from "./chunk-RSKIKBZH.js";

// src/build/content/static.ts
var import_fast_glob = __toESM(require_out(), 1);
import { existsSync } from "node:fs";
import { cp, mkdir, rename, rm } from "node:fs/promises";
import { basename, dirname, resolve } from "node:path";
import { join as joinPosix } from "node:path/posix";
var uploadStaticContent = async ({
  constants: { PUBLISH_DIR },
  utils
}) => {
  const dir = "server/pages";
  const paths = await (0, import_fast_glob.default)("**/*.html", {
    cwd: resolve(PUBLISH_DIR, dir)
  });
  try {
    const manifest = await getPrerenderManifest({ PUBLISH_DIR });
    await Promise.all(
      paths.filter((path) => {
        const route = "/" + joinPosix(dirname(path), basename(path, ".html"));
        return !Object.keys(manifest.routes).includes(route);
      }).map(async (path) => {
        const dest = resolve(BLOB_DIR, dir, path);
        await mkdir(dirname(dest), { recursive: true });
        await cp(resolve(PUBLISH_DIR, dir, path), dest);
      })
    );
  } catch (error) {
    utils.build.failBuild(
      "Failed assembling static assets for upload",
      error instanceof Error ? { error } : {}
    );
    throw error;
  }
};
var copyStaticAssets = async ({
  constants: { PUBLISH_DIR }
}) => {
  await rm(resolve(STATIC_DIR), { recursive: true, force: true });
  if (existsSync(resolve("public"))) {
    await cp(resolve("public"), resolve(STATIC_DIR), { recursive: true });
  }
  if (existsSync(resolve(PUBLISH_DIR, "static"))) {
    await cp(resolve(PUBLISH_DIR, "static"), resolve(STATIC_DIR, "_next/static"), {
      recursive: true
    });
  }
};
var publishStaticDir = async ({
  constants: { PUBLISH_DIR }
}) => {
  await mkdir(resolve(TEMP_DIR, "publish"), { recursive: true });
  await rename(resolve(PUBLISH_DIR), resolve(TEMP_DIR, "publish"));
  await rename(resolve(STATIC_DIR), resolve(PUBLISH_DIR));
};
var unpublishStaticDir = async ({
  constants: { PUBLISH_DIR }
}) => {
  await rename(resolve(PUBLISH_DIR), resolve(STATIC_DIR));
  await rename(resolve(TEMP_DIR, "publish"), resolve(PUBLISH_DIR));
};

export {
  uploadStaticContent,
  copyStaticAssets,
  publishStaticDir,
  unpublishStaticDir
};
