
      const require = await (async () => {
        const { createRequire } = await import("node:module");
        return createRequire(import.meta.url);
      })();
    

// src/build/cache.ts
import { resolve } from "node:path";
var saveBuildCache = async ({
  constants: { PUBLISH_DIR },
  utils: { cache }
}) => {
  if (await cache.save(resolve(PUBLISH_DIR, "cache"))) {
    console.log("Next.js cache saved.");
  } else {
    console.log("No Next.js cache to save.");
  }
};
var restoreBuildCache = async ({
  constants: { PUBLISH_DIR },
  utils: { cache }
}) => {
  if (await cache.restore(resolve(PUBLISH_DIR, "cache"))) {
    console.log("Next.js cache restored.");
  } else {
    console.log("No Next.js cache to restore.");
  }
};

export {
  saveBuildCache,
  restoreBuildCache
};
