
      const require = await (async () => {
        const { createRequire } = await import("node:module");
        return createRequire(import.meta.url);
      })();
    
import {
  uploadPrerenderedContent
} from "./esm-chunks/chunk-NTN37YZX.js";
import {
  copyStaticAssets,
  publishStaticDir,
  unpublishStaticDir,
  uploadStaticContent
} from "./esm-chunks/chunk-QDBJJBAF.js";
import {
  createEdgeHandlers
} from "./esm-chunks/chunk-Z7XLUKHE.js";
import {
  createServerHandler
} from "./esm-chunks/chunk-6C66RXY4.js";
import "./esm-chunks/chunk-JC7VU6FM.js";
import "./esm-chunks/chunk-AVWFCGVE.js";
import {
  restoreBuildCache,
  saveBuildCache
} from "./esm-chunks/chunk-S6FX5USF.js";
import {
  setPostBuildConfig,
  setPreBuildConfig
} from "./esm-chunks/chunk-XI354FB5.js";
import "./esm-chunks/chunk-IILJNFIP.js";
import "./esm-chunks/chunk-RSKIKBZH.js";

// src/index.ts
var onPreBuild = async ({ constants, utils }) => {
  await restoreBuildCache({ constants, utils });
  setPreBuildConfig();
};
var onBuild = async ({ constants, utils }) => {
  await saveBuildCache({ constants, utils });
  await Promise.all([
    copyStaticAssets({ constants }),
    uploadStaticContent({ constants }),
    uploadPrerenderedContent({ constants }),
    createServerHandler({ constants }),
    createEdgeHandlers()
  ]);
};
var onPostBuild = async ({ constants, netlifyConfig }) => {
  await publishStaticDir({ constants });
  setPostBuildConfig({ netlifyConfig });
};
var onEnd = async ({ constants }) => {
  await unpublishStaticDir({ constants });
};
export {
  onBuild,
  onEnd,
  onPostBuild,
  onPreBuild
};
